<?php
/* $Id: holidays.br.inc.php,v 1.3 2003/10/02 16:56:05 k-fish Exp $ */

if (date("dm", $date) == "0101") $holiday = Lang::getLanguageString("newyear");	
elseif (date("dm", $date) == "2104") $holiday = Lang::getLanguageString("tiradentes");
elseif (date("dm", $date) == "0105") $holiday = Lang::getLanguageString("firstmay");
elseif (date("dm", $date) == "0709") $holiday = Lang::getLanguageString("independenceday");
elseif (date("dm", $date) == "1210") $holiday = Lang::getLanguageString("nsaparecida");       
elseif (date("dm", $date) == "0211") $holiday = Lang::getLanguageString("finados");       
elseif (date("dm", $date) == "1511") $holiday = Lang::getLanguageString("republica");       
elseif (date("dm", $date) == "2412") $holiday = Lang::getLanguageString("holychristmas");       
elseif (date("dm", $date) == "2512") $holiday = Lang::getLanguageString("firstchristmas");
else {
    if (date("dmY",$date) == date("dmY",$easter-3600*24*7)) $holiday = Lang::getLanguageString("palmsunday");
    elseif (date("dmY",$date) == date("dmY",$easter-3600*24*2)) $holiday = Lang::getLanguageString("easterfriday");
    elseif (date("dmY",$date) == date("dmY",$easter-3600*24*1)) $holiday = Lang::getLanguageString("eastersaturday");
    elseif (date("dmY",$date) == date("dmY",$easter)) $holiday = Lang::getLanguageString("eastersunday");
    elseif (date("dmY",$date) == date("dmY",$easter-3600*24*40)) $holiday = Lang::getLanguageString("carnaval");
    else $holiday = "";    		    
}	
?>
